<!DOCTYPE html>
<html lang="en" >

<head>

<meta charset="UTF-8">
  
<title>Grants Management</title>
    <link rel="icon" type="image/png" href="Images/faviconCSE.png" sizes="32x32">    
    <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css">
    <link href='https://fonts.googleapis.com/css?family=Lato:300,400|Fjalla+One' rel='stylesheet' type='text/css'>
    <link href='src/style.css' rel='stylesheet' type='text/css'>   

<script>
  if (document.location.search.match(/type=embed/gi)) {
    window.parent.postMessage("resize", "*");
  }
</script>

<script src="https://cdn.jsdelivr.net/npm/web3@latest/dist/web3.min.js"></script>

</head>

<body translate="no" >
  <header>  
    <div class="half"><img src="images/568px-NSF.svg.png" alt="Agency Logo" height="125" width="125"></div>
    <!-- <div class="half"><h2 class="full"><em>Distributed Ledger: <em>goQuorum</em> <br> Smart Contract: <em>0x2D2f6019CAc290294c05dBef7E04a73d527279ae</em></h2></div> -->
    <div class="half"><h2 class="full"><em>Smart Contract for Grants</em></h2></div>
   <!-- <h2 class="full"> Distributed Ledger: <em>goQuorum</em> &nbsp; Smart Contract: <em>0x2D2f6019CAc290294c05dBef7E04a73d527279ae</em></h2> -->
    <h2 class="full"> 
      <a href="index.html"><em>Home</em></a>&nbsp;&nbsp;&nbsp;
      <a href="Onboard.html"><em>Onboard</em></a>&nbsp;&nbsp;&nbsp;
      <a href="AwardGrant.html"><em></em>Award</em></a>&nbsp;&nbsp;&nbsp;
      <a href="ViewGrants.html"><em></em>View All</em></a>&nbsp;&nbsp;&nbsp;
      <a href="Security.html"><em></em>Security</em></a>&nbsp;&nbsp;&nbsp;
      <a href="Treasury.html"><em></em>Treasury</em></a>&nbsp;&nbsp;&nbsp;
      <a id="auditLink" href="index.html" target=_blank><em></em>Audit</em></a>
    </h2>
  </header>


  <!--  Company Information -->
  <form id="_createForm" onsubmit="myFunction(); return false;">
    <div class="form-group">
    <h2 class="heading full">Awardee Information</h2>
      <div class="controls full">
        <input type="text" id="_awardeeName" class="floatLabel" name="_awardeeName" required>
        <label for="_awardeeName">Awardee Name</label>
      </div>
      <div class="controls full">
        <input type="text" id="_awardeeAddr" class="floatLabel" name="_awardeeAddr" required>
        <label for="_awardeeAddr">Awardee Public Key</label>
      </div>
      <div class="controls full">
        <input type="text" id="_grantNumber" class="floatLabel" name="_grantNumber" required>
        <label for="_grantNumber">Grant Number</label>
      </div>
      <div class="controls half">
        <input type="text" id="_naicsCode" class="floatLabel" name="_naicsCode" required>
        <label for="_naicsCode">NAICS Code</label>
      </div>
      <div class="controls half">
        <input type="text" id="_cageCode" class="floatLabel" name="_cageCode" required>
        <label for="_cageCode">CAGE Code</label>
      </div>
  </div>
  <!--  Details -->
  <div class="form-group">
    <h2 class="heading full">Grant Information</h2>

    <div class="controls half">
        <input type="text" id="_effectiveDate" class="floatLabel" name="_effectiveDate" required>
        <label for="_effectiveDate">Effective Date</label>
    </div>
    <div class="controls half">
        <input type="text" id="_completionDate" class="floatLabel" name="_completionDate" required>
        <label for="_completionDate">Completion Date</label>
    </div>

    <div class="controls full">
        <input type="text" id="_laborCLINValue" class="floatLabel" name="_laborCLINValue" required>
        <label for="_laborCLINValue">Labor CLIN Value</label>
    </div>

    <div class="controls full">
        <input type="text" id="_travelCLINValue" class="floatLabel" name="_travelCLINValue" required>
        <label for="_travelCLINValue">Travel CLIN Value</label>
    </div>

    <div class="controls full">
        <input type="text" id="_odcValue" class="floatLabel" name="_odcValue" required>
        <label for="_odcValue">ODC CLIN Value</label>
    </div>

    <div class="controls full">
        <input type="text" id="_totalAwardValue" class="floatLabel" name="_totalAwardValue" required>
        <label for="_totalAwardValue">Total Awarded Value</label>
    </div>

        <input type="hidden" name="_completed" placeholder="_completed" value="false"/>
  </div>
  <!--  More -->
  <div class="form-group">
    <div class="controls full">
      <button id="createGrant-button" class="full">Create Grant</button>
    </div>
    <h2 class="full" align="middle"> <a target="_blank" id="creationComplete" ></a></h2>
  </div>
  </form>



<script src="https://cpwebassets.codepen.io/assets/common/stopExecutionOnTimeout-1b93190375e9ccc259df3a57c1abc0e64599724ae30d7ea4c6877eb615f89387.js"></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
      
<script id="rendered-js" >
// Added input value check on postback/load, removed floatLabel class from select input. Modified the scss, added color map.

(function ($) {
  function floatLabel(inputType) {
    $(inputType).each(function () {
      var $this = $(this);
      var text_value = $(this).val();

      // on focus add class "active" to label
      $this.focus(function () {
        $this.next().addClass("active");
      });

      // on blur check field and remove class if needed
      $this.blur(function () {
        if ($this.val() === '' || $this.val() === 'blank') {
          $this.next().removeClass();
        }
      });

      // Check input values on postback and add class "active" if value exists
      if (text_value != '') {
        $this.next().addClass("active");
      }
    });

    // Automatically remove floatLabel class from select input on load
    $("select").next().removeClass();
  }
  // Add a class of "floatLabel" to the input field
  floatLabel(".floatLabel");
})(jQuery);
//# sourceURL=pen.js
    </script>
  
<script src="https://cpwebassets.codepen.io/assets/editor/iframe/iframeRefreshCSS-4793b73c6332f7f14a9b6bba5d5e62748e9d1bd0b5c52d7af6376f3d1c625d7e.js"></script>
</body>
<script src="src/dappWeb3.js"></script>
<script src="src/dappAward.js"></script>
<script language="javascript"><!--
  function myFunction() {
      // Do stuff
  }
//--></script>
</html>